package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * DeviceFirmwareInfo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class DeviceFirmwareInfo   {
  @JsonProperty("curFwVer")
  private String curFwVer;

  @JsonProperty("lastFwVer")
  private String lastFwVer;

  @JsonProperty("fwReleaseLog")
  private String fwReleaseLog;

  public DeviceFirmwareInfo curFwVer(String curFwVer) {
    this.curFwVer = curFwVer;
    return this;
  }

  /**
   * Current firmware version
   * @return curFwVer
  */
  @ApiModelProperty(value = "Current firmware version")


  public String getCurFwVer() {
    return curFwVer;
  }

  public void setCurFwVer(String curFwVer) {
    this.curFwVer = curFwVer;
  }

  public DeviceFirmwareInfo lastFwVer(String lastFwVer) {
    this.lastFwVer = lastFwVer;
    return this;
  }

  /**
   * Latest firmware version
   * @return lastFwVer
  */
  @ApiModelProperty(value = "Latest firmware version")


  public String getLastFwVer() {
    return lastFwVer;
  }

  public void setLastFwVer(String lastFwVer) {
    this.lastFwVer = lastFwVer;
  }

  public DeviceFirmwareInfo fwReleaseLog(String fwReleaseLog) {
    this.fwReleaseLog = fwReleaseLog;
    return this;
  }

  /**
   * Firmware release log
   * @return fwReleaseLog
  */
  @ApiModelProperty(value = "Firmware release log")


  public String getFwReleaseLog() {
    return fwReleaseLog;
  }

  public void setFwReleaseLog(String fwReleaseLog) {
    this.fwReleaseLog = fwReleaseLog;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DeviceFirmwareInfo deviceFirmwareInfo = (DeviceFirmwareInfo) o;
    return Objects.equals(this.curFwVer, deviceFirmwareInfo.curFwVer) &&
        Objects.equals(this.lastFwVer, deviceFirmwareInfo.lastFwVer) &&
        Objects.equals(this.fwReleaseLog, deviceFirmwareInfo.fwReleaseLog);
  }

  @Override
  public int hashCode() {
    return Objects.hash(curFwVer, lastFwVer, fwReleaseLog);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DeviceFirmwareInfo {\n");
    
    sb.append("    curFwVer: ").append(toIndentedString(curFwVer)).append("\n");
    sb.append("    lastFwVer: ").append(toIndentedString(lastFwVer)).append("\n");
    sb.append("    fwReleaseLog: ").append(toIndentedString(fwReleaseLog)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

